call :%~1
exit /b %errorlevel%

:download
call download.bat "downloads\RetroBar32.zip" "https://github.com/dremin/RetroBar/releases/download/v1.11.15/RetroBar.32-bit.zip"
if "%errorlevel%" neq "0" exit /b %errorlevel%
call download.bat "downloads\RetroBar64.zip" "https://github.com/dremin/RetroBar/releases/download/v1.11.15/RetroBar.64-bit.zip"
exit /b %errorlevel%

:install
rmdir /s /q "%LOCALAPPDATA%\RetroBar"
mkdir "%LOCALAPPDATA%\RetroBar"
xcopy "config\RetroBar" "%LOCALAPPDATA%\RetroBar" /e /h /c /i /y
if "%errorlevel%" neq "0" exit /b %errorlevel%
call unpack.bat "downloads\RetroBar32.zip" "components\RetroBar32"
if "%errorlevel%" neq "0" exit /b %errorlevel%
call unpack.bat "downloads\RetroBar64.zip" "components\RetroBar64"
exit /b %errorlevel%

:uninstall
exit /b 0

:kill
taskkill /f /im "RetroBar.exe"
exit /b 0